import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path:'/',
      name:'app',
      component:()=>import('../App.vue')
    },
    {
      path:'/manage',
      name:'manage',
      component:()=>import('../manager/manage.vue'),
      children:[
        {
          path:'/manage/authority',
          component:()=>import('../manager/components/Authority.vue'),
        },
        {
          path:'/manage/carousel',
          component:()=>import('../manager/components/Carousel.vue'),
        },
        {
          path:'/manage/daily',
          component:()=>import('../manager/components/Daily.vue'),
        },
        {
          path:'/manage/log',
          component:()=>import('../manager/components/Log.vue'),
        },
        {
          path:'/manage/main',
          component:()=>import('../manager/components/Main.vue'),
        },
        {
          path:'/manage/message',
          component:()=>import('../manager/components/Message.vue'),
        },
        {
          path:'/manage/newsdisplay',
          component:()=>import('../manager/components/NewsDisplay.vue'),
        },
        {
          path:'/manage/newsinformation',
          component:()=>import('../manager/components/NewsInformation.vue'),
        },
        {
          path:'/manage/projectinformation',
          component:()=>import('../manager/components/ProjectInformation.vue'),
        },
        {
          path:'/manage/projectrecommend',
          component:()=>import('../manager/components/ProjectRecommend.vue'),
        },
        {
          path:'/manage/role',
          component:()=>import('../manager/components/Role.vue'),
        },
        {
          path:'/manage/teaminformation',
          component:()=>import('../manager/components/TeamInformation.vue'),
        },
        {
          path:'/manage/teamprofile',
          component:()=>import('../manager/components/TeamProfile.vue'),
        },
        {
          path:'/manage/user',
          component:()=>import('../manager/components/User.vue'),
        },
        {
          path:'/manage/userrecommend',
          component:()=>import('../manager/components/UserRecommend.vue'),
        },
      ]
    },
  ]
})

export default router
